跳转到主要内容
存储管理/数据存储相关接口/SAN存储相关接口
GETSAN Storage Related Interfaces起始版本 2.3.2同步需要认证

查询SAN存储

查询SAN存储

调试可用性

在线调试

使用当前认证信息和示例参数提交 Mock 请求。

请求参数

此接口无需请求参数。

响应状态

200 OK

该 API 成功时返回以下响应结构。

  • errorErrorCode必填

    错误码,若不为null,则表示操作失败, 操作成功时该字段为null。 详情参考error

    • codeString必填

      错误码号,错误的全局唯一标识,例如SYS.1000, HOST.1001

    • descriptionString必填

      错误的概要描述

    • detailsString必填

      错误的详细信息

    • elaborationString必填

      保留字段,默认为null

    • opaqueLinkedHashMap必填

      保留字段,默认为null

    • causeErrorCode必填

      根错误,引发当前错误的源错误,若无原错误,该字段为null

  • inventoriesList必填

    详情参考inventories

    • uuidString必填

      资源的UUID,唯一标示该资源

    • zoneUuidString必填

      数据中心UUID

    • nameString必填

      资源名称

    • urlString必填

      未使用

    • descriptionString必填

      资源的详细描述

    • totalCapacityLong必填

      总空间

    • availableCapacityLong必填

      可用空间

    • totalPhysicalCapacityLong必填

      总物理空间

    • availablePhysicalCapacityLong必填

      物理可用空间

    • systemUsedCapacityLong必填

      系统使用空间

    • typeString必填

      数据存储类型

      • nameString必填

        资源名称

      • ordinalint必填

        暂无描述。

    • stateString必填

      启用状态

      • nameString必填

        资源名称

      • ordinalint必填

        暂无描述。

    • statusString必填

      连接状态

      • nameString必填

        资源名称

      • ordinalint必填

        暂无描述。

    • mountPathString必填

      未使用

    • createDateTimestamp必填

      创建时间

    • lastOpDateTimestamp必填

      最后一次修改时间

    • attachedClusterUuidsList必填

      挂载的集群

    • sharedBlocksList必填

      详情参考sharedBlocks

      • uuidString必填

        资源的UUID,唯一标示该资源

      • sharedBlockGroupUuidString必填

        共享块设备组UUID

      • diskUuidString必填

        磁盘唯一标示(例如UUID, WWN, WWID)

      • nameString必填

        资源名称

      • descriptionString必填

        资源的详细描述

      • createDateTimestamp必填

        创建时间

      • lastOpDateTimestamp必填

        最后一次修改时间

      • typeSharedBlockType必填

        详情参考type

        • nameString必填

          资源名称

        • ordinalint必填

          暂无描述。

      • stateSharedBlockState必填

        详情参考state

        • nameString必填

          资源名称

        • ordinalint必填

          暂无描述。

      • statusSharedBlockStatus必填

        详情参考status

        • nameString必填

          资源名称

        • ordinalint必填

          暂无描述。

    • sharedBlockGroupTypeSharedBlockGroupType必填

      详情参考sharedBlockGroupType

      • nameString必填

        资源名称

      • ordinalint必填

        暂无描述。

请求地址

GET/zstack/v1/primary-storage/sharedblockgroup

/zstack/v1/primary-storage/sharedblockgroup

操作 ID

QuerySharedBlockGroupPrimaryStorage

永久链接

请求示例

curl -X GET 'http://{host}/zstack/v1/primary-storage/sharedblockgroup' -H 'Authorization: OAuth {sessionUuid}'

响应示例

200
{ "inventories": [ { "sharedBlocks": [ { "uuid": "2bf68818dc2c3ffbb9c9f283c8a1f524", "sharedBlockGroupUuid": "23ef265b88143074b88ad450afe5cbac", "type": "LvmLogicalVolumeBasic", "diskUuid": "b4d9459d02533fdeb4dee8b8bf943bed", "name": "test shared block", "description": "description", "state": "Enabled", "status": "Connected", "createDate": "Nov 14, 2017 10:20:57 PM", "lastOpDate": "Nov 14, 2017 10:20:57 PM" } ], "sharedBlockGroupType": "LvmVolumeGroupBasic", "uuid": "23ef265b88143074b88ad450afe5cbac", "name": "shared block group primary storage", "description": "shared block group primary storage description", "availableCapacity": 1.073741824E9, "availablePhysicalCapacity": 1.073741824E9, "type": "SharedBlock", "state": "Enabled", "status": "Connected", "createDate": "Nov 14, 2017 10:20:57 PM", "lastOpDate": "Nov 14, 2017 10:20:57 PM" } ] }

变更历史

此 API 暂无变更历史记录。

查看全部变更历史